For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update webhook

Updates webhook.

put
Path parameters
idstringRequired

Id of webhook to update

Query parameters
selectstringOptional

RQL select statements

Body
webhookIdstringOptional
Responses
200

OK

application/json
idstringOptional
revisioninteger · int32Optional
namestringOptional
urlstringOptional
descriptionstring · nullableOptional
statusstring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
secretstring · nullableOptional
objectTypestring · enumOptionalPossible values:
put/public/v1/notifications/webhooks/{id}
PUT /public/v1/notifications/webhooks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 417

{
  "webhookId": "text",
  "description": {
    "value": "text"
  },
  "url": {
    "value": "https://example.com"
  },
  "criteria": {
    "value": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  },
  "secret": {
    "value": "text"
  },
  "lastCall": {
    "value": {
      "callTime": "2026-01-01T00:00:00.000Z",
      "responseTime": "2026-01-01T00:00:00.000Z",
      "httpStatusCode": "Continue",
      "reasonPhrase": "text",
      "success": true,
      "response": "text",
      "error": "text",
      "headers": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  }
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "name": "text",
  "url": "text",
  "description": "text",
  "status": "Enabled",
  "type": "ValidatePurchaseOrderDraft",
  "secret": "text",
  "statistics": {
    "total": 1,
    "successes": 1,
    "failures": 1,
    "failuresSinceLastSuccess": 1
  },
  "objectType": "Order",
  "account": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "object": {
    "id": "text",
    "name": "text",
    "icon": "text"
  },
  "criteria": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "lastSuccess": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  },
  "lastFailure": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  },
  "lastCall": {
    "success": true,
    "callTime": "2026-01-01T00:00:00.000Z",
    "responseTime": "2026-01-01T00:00:00.000Z",
    "headers": "text",
    "error": "text",
    "response": "text",
    "reasonPhrase": "text",
    "httpStatusCode": "Continue"
  }
}

Last updated

Was this helpful?